c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Cgu::SharedHandle Member List

This is the complete list of members for Cgu::SharedHandle, including all inherited members.

get() const noexcept | Cgu::SharedHandle | inline
get_refcount() const noexcept | Cgu::SharedHandle | inline
operator T() const noexcept | Cgu::SharedHandle | inline
operator=(SharedHandle sh_hand) | Cgu::SharedHandle | inline
reset(T ptr=0) | Cgu::SharedHandle | inline
reset(T ptr, Cgu::SharedHandleAllocFail::Leave tag) | Cgu::SharedHandle | inline
SharedHandle(T ptr=0) | Cgu::SharedHandle | inline explicit
SharedHandle(T ptr, Cgu::SharedHandleAllocFail::Leave tag) | Cgu::SharedHandle | inline
SharedHandle(const SharedHandle &sh_hand) noexcept | Cgu::SharedHandle | inline
SharedHandle(SharedHandle &&sh_hand) noexcept | Cgu::SharedHandle | inline
~SharedHandle() | Cgu::SharedHandle | inline